Catmandu::Fix::Bind::Group(3pm)

NAME
Catmandu::Fix::Bind::Group - a role for a binder that executes all fixes as one group

SYNOPSIS
    # Fixes fix1(), ... fixN() will be passed as one function to the internal 'bind' method
        do identity()
           fix1()
           .
           .
           fixN()
        end

    # Fixes fix1(), ... fixN() will be passed as one by one to the internal 'bind' method
    do maybe()
       fix1()
       .
       .
       fixN()
    end

DESCRIPTION
This role flags a Catmandu::Fix::Bind implementation as a Catmandu::Fix::Bind::Group. All fixes inside a Bind will be treated as one singular function.

SEE ALSO
Catmandu::Fix::Bind